Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.util
Class CalendarControl.SWTMonthChooser

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      semorg.gui.util.CalendarControl.SWTMonthChooser

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

Enclosing class:
  CalendarControl

    private class CalendarControl.SWTMonthChooser

extends org.eclipse.swt.widgets.Composite

The Class SWTMonthChooser.

Field Summary
`private org.eclipse.swt.widgets.Combo` | `comboBox` The combo box.
`private Locale` | `locale` The locale.

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`CalendarControl.SWTMonthChooser(org.eclipse.swt.widgets.Composite parent)` Instantiates a new SWT month chooser.

Method Summary
`void` | `addSelectionListener(org.eclipse.swt.events.SelectionListener listener)` Adds the selection listener.
`int` | `getMonth()` Gets the month.
`private void` | `initNames()` Inits the names.
`void` | `removeSelectionListener(org.eclipse.swt.events.SelectionListener listener)` Removes the selection listener.
`void` | `setFont(org.eclipse.swt.graphics.Font font)` Sets the font that the receiver will use to paint textual information to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void` | `setLocale(Locale locale)` Sets the locale.
`void` | `setMonth(int newMonth)` Sets the month.

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, computeSize, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setEnabled, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### comboBox

    private org.eclipse.swt.widgets.Combo comboBox

  The combo box.

### locale

    private Locale locale

  The locale.

Constructor Detail

### CalendarControl.SWTMonthChooser

    public CalendarControl.SWTMonthChooser(org.eclipse.swt.widgets.Composite parent)

  Instantiates a new SWT month chooser.

  Parameters:
    `parent` - the parent

Method Detail

### initNames

    private void initNames()

  Inits the names.

### addSelectionListener

    public void addSelectionListener(org.eclipse.swt.events.SelectionListener listener)

  Adds the selection listener.

  Parameters:
    `listener` - the listener

### removeSelectionListener

    public void removeSelectionListener(org.eclipse.swt.events.SelectionListener listener)

  Removes the selection listener.

  Parameters:
    `listener` - the listener

### setMonth

    public void setMonth(int newMonth)

  Sets the month.

  Parameters:
    `newMonth` - the new month

### getMonth

    public int getMonth()

  Gets the month.

  Returns:
    the month

### setLocale

    public void setLocale(Locale locale)

  Sets the locale.

  Parameters:
    `locale` - the new locale

### setFont

    public void setFont(org.eclipse.swt.graphics.Font font)

  Sets the font that the receiver will use to paint textual information to the font specified by the argument, or to the default font for that kind of control if the argument is null.

  Overrides:
    `setFont` in class `org.eclipse.swt.widgets.Control`
  Parameters:
    `font` - the new font (or null)
  See Also:
    `Control.setFont(org.eclipse.swt.graphics.Font)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD